RDKit::FMCS::Graph Class Reference

`#include <Graph.h>`

Inheritance diagram for RDKit::FMCS::Graph:

## Public Types

typedef edge_iterator | EDGE_ITER
typedef std::pair< EDGE_ITER, EDGE_ITER > | BOND_ITER_PAIR

## Public Member Functions

void | addAtom (unsigned atom)
void | addBond (unsigned bond, unsigned beginAtom, unsigned endAtom)

## Detailed Description

Definition at line 26 of file Graph.h.

## Member Typedef Documentation

## BOND_ITER_PAIR

typedef std::pair<EDGE_ITER, EDGE_ITER> RDKit::FMCS::Graph::BOND_ITER_PAIR

Definition at line 29 of file Graph.h.

## EDGE_ITER

typedef edge_iterator RDKit::FMCS::Graph::EDGE_ITER

Definition at line 28 of file Graph.h.

## Member Function Documentation

## addAtom()

void RDKit::FMCS::Graph::addAtom | ( | unsigned | atom | ) |

inline

Definition at line 31 of file Graph.h.

## addBond()

void RDKit::FMCS::Graph::addBond | ( | unsigned | bond,
|  | unsigned | beginAtom,
|  | unsigned | endAtom
| ) |  |

inline

Definition at line 35 of file Graph.h.

The documentation for this class was generated from the following file:

- Graph.h